import { jsx } from "react/jsx-runtime";
import { TokenGRIN as TokenGRIN$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenGRIN = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "GRIN", "data-name": "TokenGRIN", ...props, children: /* @__PURE__ */ jsx(TokenGRIN$1, { variant }) });
  }
);
TokenGRIN.displayName = "TokenGRIN";
Object.assign(TokenGRIN, { isGdsIcon: true });
export {
  TokenGRIN
};
